<?php

session_start();

$getPost = filter_input_array(INPUT_POST, FILTER_DEFAULT);

$setPost = array_map("strip_tags", $getPost);

$post = array_map("trim", $setPost);



$post['usuario_id'] = $_SESSION['userlogin']['usuario_id'];

$post['mensagem_data'] = date('Y-m-d H:i:s');



$jSon = array();



require ('../../../_app/Config.inc.php');

$Create = new Create;

$Read = new Read;



if (in_array('', $post)):

    $jSon['error'] = ["Preencha o campo da mensagem!", WS_ALERT];

else:

    $Create = new Create;

    $Create->ExeCreate("tp_mensagem", $post);

    if ($Create->getResult()):

        $jSon['error'] = ['Mensagem enviada com sucesso!', WS_ACCEPT];        

    endif;



endif;



echo json_encode($jSon);

?>